﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGridDemo
{
    public class MyClass : INotifyPropertyChanged
    {
        public MyClass() { }
        public MyClass(string c1, string c2, bool c3, string c4)
        {
            column1 = c1;
            column2 = c2;
            IsActive = c3;
            column4 = c4;
        }

        private string column1;
        private string column2;
        private bool isActive;
        private string column4;

        public string Column1
        {
            get
            {
                return column1;
            }
            set
            {
                column1 = value;
                OnPropertyChanged("Column1");
            }
        }

        public string Column2
        {
            get
            {
                return column2;
            }
            set
            {
                column2 = value;
                OnPropertyChanged("Column2");
            }
        }

        public bool IsActive
        {
            get
            {
                return isActive;
            }
            set
            {
                isActive = value;
                OnPropertyChanged("IsActive");
            }
        }

        public string Column4
        {
            get
            {
                return column4;
            }
            set
            {
                column4 = value;
                OnPropertyChanged("Column4");
            }
        }

        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
